- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_shape_mask_request_t Struct Reference
[XCB Shape API]

xcb_shape_mask_request_t More...

`#include <shape.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_shape_op_t | operation
xcb_shape_kind_t | destination_kind
uint8_t | pad0 [2]
xcb_window_t | destination_window
int16_t | x_offset
int16_t | y_offset
xcb_pixmap_t | source_bitmap

## Detailed Description

xcb_shape_mask_request_t

## Field Documentation

uint8_t xcb_shape_mask_request_t::major_opcode

uint8_t xcb_shape_mask_request_t::minor_opcode

uint16_t xcb_shape_mask_request_t::length

xcb_shape_op_t xcb_shape_mask_request_t::operation

xcb_shape_kind_t xcb_shape_mask_request_t::destination_kind

uint8_t xcb_shape_mask_request_t::pad0[2]

xcb_window_t xcb_shape_mask_request_t::destination_window

int16_t xcb_shape_mask_request_t::x_offset

int16_t xcb_shape_mask_request_t::y_offset

xcb_pixmap_t xcb_shape_mask_request_t::source_bitmap

The documentation for this struct was generated from the following file:

- shape.h